Bug 843927 - (CVE-2012-3435) CVE-2012-3435 zabbix: SQL injection vulnerability via the "itemid" parameter
CVE-2012-3435 zabbix: SQL injection vulnerability via the "itemid" parameter
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120718,repor...
: Security
Depends On: 843928 843929
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 13:24 EDT by Vincent Danen
Modified: 2012-10-05 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-05 13:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-27 13:24:12 EDT
An SQL injection flaw was found in Zabbix, where input passed via the "itemid" parameter to popup_bitem.php is not properly sanitized before being used in an SQL query.

The report was against version 2.0.1, but the upstream bug report [1] indicates this also affects 1.8.x.  Upstream has patched [2] this, and there is a potential patch for 1.8.x [3].

[1] https://support.zabbix.com/browse/ZBX-5348
[2] http://git.zabbixzone.com/zabbix2.0/.git/commit/333a3a5542ba8a2c901c24b7bf5440f41f1f4f54
[3] https://gist.github.com/3181678
Comment 1 Vincent Danen 2012-07-27 13:26:03 EDT
Created zabbix tracking bugs for this issue

Affects: fedora-all [bug 843928]
Affects: epel-all [bug 843929]
Comment 2 Kurt Seifried 2012-07-28 02:44:49 EDT
Assigned CVE as per http://www.openwall.com/lists/oss-security/2012/07/28/3
Comment 3 Fedora Update System 2012-08-30 20:58:08 EDT
zabbix-1.8.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-08-30 21:03:00 EDT
zabbix-1.8.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-09-07 17:06:20 EDT
zabbix-1.8.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Volker Fröhlich 2012-10-05 13:25:19 EDT
Seems like we forgot to close this one!

Note You need to log in before you can comment on or make changes to this bug.